<?php
/*------------------------------------------------------------------------
# News Show SP1 - News display module by JoomShaper.com
# ------------------------------------------------------------------------
# author    JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2012 JoomShaper.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomshaper.com 
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');

class modNSSP1Helper
{
	function getList(&$params,$uniqid){
		
		global $mainframe;
		
		$cparams	    = &$mainframe->getParams('com_content');
		$date_format	= $params->get('dateformat','DATE_FORMAT_LC3');
		$article_count	= $params->get('article_count',3);
		$link_count		= $params->get('link_count',3);
		$links		    = $params->get('links',1)==1 ? true : false;
		$count 			= $links ? $article_count + $link_count : $article_count; 
		$catid		    = $params->get('joomla','');
		
		$user		    = &JFactory::getUser();
		$aid		    = $user->get('aid', 0);		
		$userId		    = (int) $user->get('id');

		$db 			= &JFactory::getDBO();
		$jnow 			= &JFactory::getDate();
		$now 			= $jnow->toMySQL();
		$nullDate 		= $db->getNullDate();	
		
		$thumbratio		= $params->get('thumbratio', 1) ? true : false;
		$thumbwidth		= trim($params->get('thumbwidth', 50));
		$thumbheight	= trim($params->get('thumbheight', 50));
		$show_front		= $params->get('show_featured', 1);
		
		$contentConfig  = &JComponentHelper::getParams( 'com_content' );
		$access		    = !$contentConfig->get('shownoauth');

		$where = '';
		
		switch ($params->get('user_id'))
		{
			case 'by_me':
				$where .= ' AND (a.created_by = ' . (int) $userId . ' OR a.modified_by = ' . (int) $userId . ')';
				break;
			case 'not_me':
				$where .= ' AND (a.created_by <> ' . (int) $userId . ' AND a.modified_by <> ' . (int) $userId . ')';
				break;

			case '0':
				break;

			default:
				$where .= ' AND (a.created_by = ' . (int) $userId . ' OR a.modified_by = ' . (int) $userId . ')';
				break;				
		}	
		
		// ensure should be published
		$where .= " AND ( a.publish_up = ".$db->Quote($nullDate)." OR a.publish_up <= ".$db->Quote($now)." )";
		$where .= " AND ( a.publish_down = ".$db->Quote($nullDate)." OR a.publish_down >= ".$db->Quote($now)." )";
		//Ordering
		$orderby = $params->get('ordering', 'a.ordering') . ' ' . $params->get('ordering_direction', 'ASC'); //ordering
            
		$catCondition = '';
		
		if ($show_front != 2) {
			if ($catid)
			{
				if (is_array($catid)) {
					$jcids = implode($catid,',');	
					$ids = explode( ',', $jcids );
				} else {
					$ids = explode( ',', $catid );
				}
				
				JArrayHelper::toInteger( $ids );
				$catCondition = ' AND (cc.id=' . implode( ' OR cc.id=', $ids ) . ')';
			}
		}
	
		$query = 'SELECT a.*, cc.title as categoryname, ' .
			' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) ELSE a.id END as slug,'.
			' CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) ELSE cc.id END as catslug'.
			' FROM #__content AS a' .
			($show_front == '0' ? ' LEFT JOIN #__content_frontpage AS f ON f.content_id = a.id' : '') .
			($show_front == '2' ? ' INNER JOIN #__content_frontpage AS f ON f.content_id = a.id' : '') .
			' INNER JOIN #__categories AS cc ON cc.id = a.catid' .
			' INNER JOIN #__sections AS s ON s.id = a.sectionid' .
			' WHERE a.state = 1'. $where .' AND s.id > 0' .
			($access ? ' AND a.access <= ' .(int) $aid. ' AND cc.access <= ' .(int) $aid. ' AND s.access <= ' .(int) $aid : '').
			($catid && $show_front != 2 ? $catCondition : '').
			($show_front == '0' ? ' AND f.content_id IS NULL ' : '').
			' AND s.published = 1' .
			' AND cc.published = 1' .
			' ORDER BY '. $orderby;
			
		$db->setQuery($query, 0, $count);

		$rows = $db->loadObjectList();

        $i=0;
		$lists = array();

		if (is_array($rows) && count($rows)>0) {
    		foreach ( $rows as $row )
    		{
    		    //process content plugins
    		    $text 						= JHTML::_('content.prepare',$row->introtext,$cparams);
				$author 					= &JFactory::getUser($row->created_by);
    			$lists[$i]->id 				= $row->id;
    			$lists[$i]->author 			= $author->name;	
    			$lists[$i]->created 		= $row->created;
    			$lists[$i]->modified 		= $row->modified;
    			$lists[$i]->hits 			= $row->hits;
    			$lists[$i]->title 			= modNSSP1Helper::prepareTitle($row->title, $params);
    			$lists[$i]->introtext 		= modNSSP1Helper::prepareContent($text, $params);
				$lists[$i]->categoryname 	= $row->categoryname;
				$lists[$i]->categoryLink 	= JRoute::_(ContentHelperRoute::getCategoryRoute($row->catslug, $row->sectionid));
				$lists[$i]->date			= JHTML::_('date', $row->created, JText::_($date_format));
				$lists[$i]->link 			= JRoute::_(ContentHelperRoute::getArticleRoute($row->slug, $row->catslug, $row->sectionid));
				$lists[$i]->image 			= modNSSP1Helper::getImages($row->introtext,$thumbwidth,$thumbheight,$thumbratio,$uniqid)->image;
    			$i++;
    		}
        }
		return $lists;
	}	
	
	function prepareTitle($text, $params) {
		$text 			= htmlspecialchars($text);
		// Title limit
		$titlelimit 	= $params->get('titlelimit',20);
		switch ($params->get('titleas')) {
			case 0 :
				$text 	= explode(' ',$text);
				$sep 	= (count($text)>$titlelimit) ? '...' : '';
				$text 	= implode(' ', array_slice($text,0,$titlelimit)) . $sep;
				break;
			case 1 :
				$sep 	= (strlen($text)>$titlelimit) ? '...' : '';
				$text 	= mb_substr($text,0,$titlelimit) . $sep;
				break;
			case 2 :
				$text 	= $text;
				break;
			default :
				$text 	= explode(' ',$text);
				$sep 	= (count($text)>$titlelimit) ? '...' : '';
				$text 	= implode(' ', array_slice($text,0,$titlelimit)) . $sep;
				break;				
		}		
		
		return $text;
	}	
	
	function prepareContent($text, $params) {
		
		$text = JFilterOutPut::cleanText($text);

	    // Description limit
		$desclimit=$params->get('desclimit',30);
		switch ($params->get('desclimitas')) {
			case 0 :
				$text = explode(' ',$text);
				$sep = (count($text)>$desclimit) ? '...' : '';
				$text=implode(' ', array_slice($text,0,$desclimit)) . $sep;
				break;
			case 1 :
				$sep = (strlen($text)>$desclimit) ? '...' : '';
				$text=mb_substr($text,0,$desclimit) . $sep;
				break;
			case 2 :
				$text = $text;
				break;
			default :
				$text = explode(' ',$text);
				$sep = (count($text)>$desclimit) ? '...' : '';
				$text=implode(' ', array_slice($text,0,$desclimit)) . $sep;
				break;
		}		
		
		return $text;
	}
	
	function getImages($text, $thumbwidth=50, $thumbheight=50, $thumbratio, $uniqid) {
		
		preg_match('/< *img[^>]*src *= *["\']?([^"\']*)/i', $text, $matches);
		
		$images = new stdClass();
		$images->image = false;
		$images->thumb = false;

		$paths = array();		
		
		if (isset($matches[1])) {
			$image_path = $matches[1];
			
			// remove any / that begins the path
			if (substr($image_path, 0 , 1) == '/') $image_path = substr($image_path, 1);
			
			// create a thumb filename
			$file_div = strrpos($image_path,'.');
			$thumb_ext = substr($image_path, $file_div);
			$thumb_prev = substr($image_path, 0, $file_div);
			$thumb_path = $thumb_prev . "_thumb" . $uniqid . $thumb_ext;
				
			// check to see if this file exists, if so we don't need to create it
			if (function_exists("gd_info")) {
				// file doens't exist, so create it and save it
				if (!class_exists("spThumbnail")) include_once('class.spThumbnail.php');
				
				//Check existing thumbnails dimensions
				if (file_exists($thumb_path)) {
					$size = GetImageSize( $thumb_path );
					$currentWidth=$size[0];
					$currentHeight=$size[1];
				}
				
				//Creating thumbnails		
                if (!file_exists($thumb_path) || $currentWidth!=$thumbwidth || $currentHeight!=$thumbheight ) {
					$thumb = new spThumbnail;
					$thumb->new_width = $thumbwidth;
					$thumb->new_height = $thumbheight;
					$thumb->image_to_resize = $image_path; // Full Path to the file
					$thumb->ratio = $thumbratio; // Keep Aspect Ratio?
					$thumb->save = $thumb_path;
					$process = $thumb->resize();
    			}
			}
			
			$images->image = $thumb_path;
		} 
		return $images;
	}
}
 