<?php
/*------------------------------------------------------------------------
# News Show SP1 - News display module by JoomShaper.com
# ------------------------------------------------------------------------
# author    JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2012 JoomShaper.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomshaper.com 
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die('Restricted access');
$k2route = JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'helpers'.DS.'route.php';
$k2utilities = JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'helpers'.DS.'utilities.php';
if (file_exists($k2route))
	require_once($k2route);
	
if (file_exists($k2utilities))
	require_once($k2utilities);
	
abstract class modNSSP1Helper {

	static function getList(&$params,$uniqid){
	
			$date_format	= $params->get('dateformat','DATE_FORMAT_LC3');
			$article_count	= $params->get('article_count',3);
			$link_count		= $params->get('link_count',3);
			$links		    = $params->get('links',1)==1 ? true : false;
			$count 			= $links ? $article_count + $link_count : $article_count;	
			$cid 			= $params->get('k2', NULL);

			$user 			= &JFactory::getUser();
			$aid 			= $user->get('aid');
			$userId 		= $user->get('id');

			$db 			= &JFactory::getDBO();
			$jnow 			= &JFactory::getDate();
			$now 			= $jnow->toMySQL();
			$nullDate 		= $db->getNullDate();
			
    		$query = "SELECT a.*, c.name as categoryname,c.id as categoryid, c.alias as categoryalias, c.params as categoryparams".
    		" FROM #__k2_items as a".
    		" LEFT JOIN #__k2_categories c ON c.id = a.catid";
	
    		$query .= " WHERE a.published = 1"
    		." AND a.access <= {$aid}"
    		." AND a.trash = 0"
    		." AND c.published = 1"
    		." AND c.access <= {$aid}"
    		." AND c.trash = 0"
    		;	
					
			switch ($params->get('user_id'))
			{
				case 'by_me':
					$query .= ' AND (a.created_by = ' . (int) $userId . ' OR a.modified_by = ' . (int) $userId . ')';
					break;
				case 'not_me':
					$query .= ' AND (a.created_by <> ' . (int) $userId . ' AND a.modified_by <> ' . (int) $userId . ')';
					break;

				case '0':
					break;

				default:
					$query .= ' AND (a.created_by = ' . (int) $userId . ' OR a.modified_by = ' . (int) $userId . ')';
					break;				
			}

			//Added Category
			if (!is_null($cid)) {
				if (is_array($cid)) {
					JArrayHelper::toInteger($cid);
					$query .= " AND a.catid IN(".implode(',', $cid).")";
				} else {
					$query .= " AND a.catid=".(int)$cid;
				}
			}

			//  Featured items filter
			if ($params->get('show_featured') == '0')
			$query .= " AND a.featured != 1";

			if ($params->get('show_featured') == '2')
			$query .= " AND a.featured = 1";

			// ensure should be published
			$query .= " AND ( a.publish_up = ".$db->Quote($nullDate)." OR a.publish_up <= ".$db->Quote($now)." )";
			$query .= " AND ( a.publish_down = ".$db->Quote($nullDate)." OR a.publish_down >= ".$db->Quote($now)." )";
			
			//Ordering
			$orderby = $params->get('ordering', 'a.ordering') . ' ' . $params->get('ordering_direction', 'ASC'); //ordering

			$query .= " ORDER BY ".$orderby;
			$db->setQuery($query, 0, $count);
			$items = $db->loadObjectList();
			
			require_once (JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'models'.DS.'item.php');
			$model = new K2ModelItem;

			if (count($items)) {
				foreach ($items as $item) {
					
					///////new is coming
					if (! empty($item->created_by_alias)) {
						$item->author = $item->created_by_alias;
					} else {
						$author = &JFactory::getUser($item->created_by);
						$item->author = $author->name;
					}
					$item->created 		= $item->created;
					$item->hits 		= $item->hits;
					if ($params->get('showimage', 1))
						$item->image 	= modNSSP1Helper::getImage($item->id,$params->get('imgSource', 'M'));
					$item->title 		= modNSSP1Helper::prepareTitle($item->title,$params );
					$item->introtext 	= modNSSP1Helper::prepareContent($item->introtext,$params);
					$item->categoryname = $item->categoryname;
					$item->categoryLink = urldecode(JRoute::_(K2HelperRoute::getCategoryRoute($item->catid.':'.urlencode($item->categoryalias))));
					$item->date			= JHTML::_('date', $item->created, JText::_($date_format));
					$item->link 		= urldecode(JRoute::_(K2HelperRoute::getItemRoute($item->id.':'.urlencode($item->alias), $item->catid.':'.urlencode($item->categoryalias))));
					
					//Extra fields
					if ($params->get('itemExtraFields')) {
						$item->extra_fields = $model->getItemExtraFields($item->extra_fields);
					}
					//Comments counter
					if ($params->get('showcomments'))
					$item->comments = $model->countItemComments($item->id);

					$rows[] = $item;
				}
				return $rows;
			}
	}
	
	function getImage($id,$imagesrc) {
		if (JFile::exists(JPATH_SITE.DS.'media'.DS.'k2'.DS.'items'.DS.'cache'.DS.md5("Image".$id).'_' . $imagesrc . '.jpg')){
			return JURI::base(true).'/media/k2/items/cache/'.md5("Image".$id).'_' . $imagesrc . '.jpg';
		}		
	}
	
	function prepareContent($text, $params) {
		
		$text 			= JFilterOutPut::cleanText($text);
	    // Description limit
		$desclimit 		= $params->get('desclimit',30);
		switch ($params->get('desclimitas')) {
			case 0 :
				$text 	= explode(' ',$text);
				$sep 	= (count($text)>$desclimit) ? '...' : '';
				$text	= implode(' ', array_slice($text,0,$desclimit)) . $sep;
				break;
			case 1 :
				$sep 	= (strlen($text)>$desclimit) ? '...' : '';
				$text 	= mb_substr($text,0,$desclimit) . $sep;
				break;
			case 2 :
				$text 	= $text;
				break;
			default :
				$text 	= explode(' ',$text);
				$sep 	= (count($text)>$desclimit) ? '...' : '';
				$text	= implode(' ', array_slice($text,0,$desclimit)) . $sep;
				break;
		}		
		
		return $text;
	}	
	
	function prepareTitle($text, $params) {
		$text=htmlspecialchars($text);
		// Title limit
		$titlelimit 	= $params->get('titlelimit',20);
		switch ($params->get('titleas')) {
			case 0 :
				$text 	= explode(' ',$text);
				$sep 	= (count($text)>$titlelimit) ? '...' : '';
				$text	= implode(' ', array_slice($text,0,$titlelimit)) . $sep;
				break;
			case 1 :
				$sep  	= (strlen($text)>$titlelimit) ? '...' : '';
				$text 	= mb_substr($text,0,$titlelimit) . $sep;
				break;
			case 2 :
				$text 	= $text;
				break;
			default :
				$text 	= explode(' ',$text);
				$sep 	= (count($text)>$titlelimit) ? '...' : '';
				$text	= implode(' ', array_slice($text,0,$titlelimit)) . $sep;
				break;				
		}		
		
		return $text;
	}
}
